%define name	trackballs
%define Name	Trackballs
%define version 0.9.1
%define release 1mdk
%define summary	A Marble Madness-like game

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Summary(fr):	Un jeu inspir de Marble Madness
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Patch:		trackballs-0.9.1-install.patch.bz2
BuildRequires:	libguile-devel >= 1.6
BuildRequires:	libSDL_ttf-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libMesaGLU-devel
Group:		Games/Arcade
License:	GPL
URL:		http://trackballs.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
All is explained in the docs.

%prep
%setup -q
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
%patch -p1

%build
export LDFLAGS=-L%{_prefix}/X11R6/lib
%configure2_5x --bindir=%{_gamesbindir} \
           --datadir=%{_gamesdatadir} \
           --with-highscores=%{_localstatedir}/%{name}/highScores
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	section="Amusement/Arcade"\\
	icon="%{name}.png"\\
	title="%{Name}"\\
	longtitle="%{summary}"
EOF

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ INSTALL README TODO README.html
%attr(2755,root,games) %{_gamesbindir}/%{name}
%dir %{_localstatedir}/%{name}/
%attr(0664,root,games) %{_localstatedir}/%{name}/highScores
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6.bz2
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Wed Sep 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- rediff the patch
- fix buildrequires
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- fix distriblint warning

* Tue Apr  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- adapt file list
- rediff the patch
- new version

* Sun Mar 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- rediff the patch
- spec fixes
- fix buildrequires
- fix URL
- new version

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.1-1mdk
- contributed by Guillaume "yet another homonym" Bedot <guillaume.bedot@wanadoo.fr>
